Subject: bug#47717: guix becomes unresponsive while building the 'vigra' package

From: Leo Famulari <[email-masked]>
Date: Tue, 13 Apr 2021 13:35:56 -0400

On Tue, Apr 13, 2021 at 11:03:50AM +0000, bo0od wrote:
> 4GB DDR3 rams, i7 4th generation , 20GB for Guix about 9GB swap
> 
> If this is not enough to install simple common used packages like
> libreoffice or onionshare..etc then this is big issue if guix considered to
> be targeting average users.
> 
> In Qubes distro 4GB is worthless/nothing the minimum is like 8GB and above.
> If guix is the same thing then no problem but for surely it need to be
> mentioned somewhere obvious(i didnt find it anywhere saying that).

The ideal situation is that substitutes for these packages are
available, and you don't have to build them.

Using current Guix master branch, I receive a substitute for
libreoffice. Maybe you just need to update, with `guix pull`?

In general, if you want to compile software, there will be some programs
that require a lot of computer to compile. Not even 10 GB RAM will be
enough in all cases.